import type { BlogClient } from "..";
import type { FAQ } from "../types";
import type { BlockObjectResponse, PageObjectResponse, UserObjectResponse } from "@notionhq/client/build/src/api-endpoints";
import { Result } from 'neverthrow';
type ErrorResult = {
    code: number;
    message: string;
};
export declare const getDatabaseById: (blogClient: BlogClient) => Promise<Result<(PageObjectResponse)[], ErrorResult>>;
export declare const getBlogSlugs: (blogClient: BlogClient) => Promise<Result<string[], ErrorResult>>;
export declare const getPageBySlug: (blogClient: BlogClient, slug: string) => Promise<Result<PageObjectResponse[], ErrorResult>>;
export declare const getBlocks: (blogClient: BlogClient, blockId: string) => Promise<Result<BlockObjectResponse[], ErrorResult>>;
export declare const getNotionUser: (blogClient: BlogClient, userId: string) => Promise<Result<UserObjectResponse, ErrorResult>>;
export declare const getFAQs: (blogClent: BlogClient, id: string) => Promise<Result<FAQ[], ErrorResult>>;
export {};
